///////////////////////////////////////////////////////////////////////////////////////
//
//	version.h  --  defines the build version '#define' strings for the product
//
///////////////////////////////////////////////////////////////////////////////////////

#pragma once

//////////////////////////////////
#include "AutoBuildCount.h"		//  (where BUILDCOUNT_STR and BUILDCOUNT_NUM are defined)
//////////////////////////////////

#define VERMAJOR_NUM  1			/* MAJOR Release (program radically changed) */
#define VERMAJOR_STR "1"

#define VERINTER_NUM  6			/* Minor Enhancements (new/modified feature, etc) */
#define VERINTER_STR "6"

#define VERMINOR_NUM  1			/* Bug Fix */
#define VERMINOR_STR "1"

///////////////////////////////////////////////////////////////////////////////////////
// Construct VERSION string consisting of above MAJOR/INTER/MINOR strings + BUILDCOUNT
///////////////////////////////////////////////////////////////////////////////////////

#ifdef _DEBUG
#define VERSION_STR  VERMAJOR_STR "." VERINTER_STR "." VERMINOR_STR "." BUILDCOUNT_STR "-D"
#else
#define VERSION_STR  VERMAJOR_STR "." VERINTER_STR "." VERMINOR_STR "." BUILDCOUNT_STR
#endif

///////////////////////////////////////////////////////////////////////////////////////
